import { checkDocument, removeDirectivesFromDocument } from 'apollo-utilities';
var removed = new Map();
export function removeClientSetsFromDocument(query) {
    var cached = removed.get(query);
    if (cached)
        return cached;
    checkDocument(query);
    var docClone = removeDirectivesFromDocument([
        {
            test: function (directive) { return directive.name.value === 'client'; },
            remove: true,
        },
    ], query);
    removed.set(query, docClone);
    return docClone;
}
//# sourceMappingURL=removeClientSetsFromDocument.js.map